class Ball{
    constructor(colour, x, y) {
        this.x = x;
        this.y = y;
        this.colour = colour;
        this.moveX = 0;
        this.moveY = 0;
        this.radius = 12;
    }
    setMoveX(val){this.moveX = val;}
    setMoveY(val){this.moveY = val;}
    animate(ctx) {
        this.x += this.moveX;
        this.y += this.moveY;
        this.x = Math.max(Math.min(this.x, ctx.canvas.width - this.radius), this.radius);
        this.y = Math.max(Math.min(this.y, ctx.canvas.height - this.radius), this.radius);
        ctx.beginPath();
        ctx.arc(this.x, this.y, this.radius, 0, Math.PI * 2);
        ctx.fillStyle = this.colour;
        ctx.fill();
        ctx.closePath(); 
    }
}