var test = {
    balls: [],
    canvas: null,
    ctx: null,
    refresh: 10,
    shift: false,
    ballSpeed: 4
};

function reDraw() {
    let bVals = Gamepad.getGamepadInput();
    test.ctx.clearRect(0, 0, test.canvas.width, test.canvas.height);
    for(let b = 0; b < test.balls.length; b++){
        if(bVals[b]){
            test.balls[b].setMoveX(bVals[b].x * test.ballSpeed);
            test.balls[b].setMoveY(bVals[b].y * test.ballSpeed);
        }
        test.balls[b].animate(test.ctx);
    }
    Gamepad.updateView();
}
function init() {
    test.canvas = document.getElementById("playArea");
    test.canvas.width = window.innerWidth;
    test.canvas.height = window.innerHeight - parseInt($("#dvButtonView").css("height"));
    test.ctx = test.canvas.getContext("2d");
    test.balls.push(new Ball("red", 50, 50));
    test.balls.push(new Ball("blue", 150, 50));
    window.addEventListener("gamepadconnected", function(e) { Gamepad.gamepadEvent(e, true); }, false);
    window.addEventListener("gamepaddisconnected", function(e) { Gamepad.gamepadEvent(e, false); }, false);
    $("body").on("keydown", function(e){keyPressed(e);});
    $("body").on("keyup", function(e){keyReleased(e);});
    setInterval(reDraw, test.refresh);
}
$.when($.read).then(init);